Bug 107404 - pam panel icon behaving badly
pam panel icon behaving badly
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 15:39 EDT by Brent Fox
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2003-10-17 15:39:14 EDT
When I start a program from the command line that requires the root password,
the pam panel icon does not appear in the panel.  However, ps shows that the
process is running.  If I start another application, I am not prompted for the
root password.  This can cause some security concerns because the system is
caching the root password but it's not clear to the user that this is happening
and there is no way to forget the authorization.
Comment 1 Brent Fox 2003-10-17 16:23:48 EDT
Oh, I forgot to mention that the pam-panel-icon behaves properly if I launch the
app from the menus.  Something about starting the app from the command line is
causing the problem.
Comment 2 Nalin Dahyabhai 2003-10-17 16:46:44 EDT
Like sudo in its default configuration, pam_timestamp uses per-tty caching.  If
there is no controlling tty, then "unknown" is used as the tty's name.  (The
icon, when launched by the panel, will check the cache which applications
launched by the panel will access.)

Without introducing a configuration file shared by both the icon applet and the
pam_timestamp module, this default can't be changed.
Comment 3 Brent Fox 2003-10-30 15:31:00 EST
If a common configuration file is needed, then that's what we should do. 
Currently, the OS behaves differently depending on how the application was
launched, which is bad from a usability perspective.  The non-technical user
doesn't understand about ttys and such...all they know is that the OS isn't
behaving consistently.
Comment 4 John Thacker 2006-10-29 17:46:48 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 5 John Thacker 2007-01-12 10:28:01 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.